/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.repository.test.po;

import org.openqa.selenium.By;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;
import org.xwiki.test.ui.po.ViewPage;

/**
 * @version $Id: 5d97b0be1785cd1290f8905a31027816f8fd6a1a $
 * @since 4.2M1
 */
public class ExtensionPage extends ViewPage
{
    @FindBy(xpath = "//a[@title='Update extension']")
    private WebElement update;

    /**
     * @since 4.2M1
     */
    public boolean isValidExtension()
    {
        for (WebElement message : getUtil().findElementsWithoutWaiting(getDriver(),
            By.xpath("//div[@class='box successmessage']"))) {
            if (message.getText().contains("Installable with the Extension Manager")) {
                return true;
            }
        }

        return false;
    }

    public ExtensionPage updateExtension()
    {
        this.update.click();

        return new ExtensionPage();
    }
}
