/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.test.ui.po;

import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.FindBys;

/**
 * Page to handle the "Document does not exist" page.
 * 
 * @version $Id: 99844afc2f94771ca991494bb7dd932a61fde121 $
 * @since 3.2M3
 */
public class DocumentDoesNotExistPage extends BasePage
{
    @FindBys({@FindBy(className = "xwikimessage"), @FindBy(tagName = "a")})
    private WebElement editThisPageToCreate;

    /**
     * This function cannot return
     */
    public void clickEditThisPageToCreate()
    {
        this.editThisPageToCreate.click();
    }
}
