/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.wikistream.filter;

import org.xwiki.filter.FilterEventParameters;
import org.xwiki.filter.annotation.Default;
import org.xwiki.filter.annotation.Name;
import org.xwiki.stability.Unstable;
import org.xwiki.wikistream.WikiStreamException;

/**
 * Class related events.
 * 
 * @version $Id: 6bedcdc9b42cdc89d8f8b568ed8b04d4f0b52c0e $
 * @since 5.2M2
 */
@Unstable
public interface WikiClassFilter
{
    public static final String PARAMETER_CUSTOMCLASS = "class_customclass";

    public static final String PARAMETER_CUSTOMMAPPING = "class_custommapping";

    public static final String PARAMETER_SHEET_DEFAULTVIEW = "class_sheet_defaultview";

    public static final String PARAMETER_SHEET_DEFAULTEDIT = "class_sheet_defaultedit";

    public static final String PARAMETER_DEFAULTSPACE = "class_defaultspace";

    public static final String PARAMETER_NAMEFIELD = "class_namefield";

    public static final String PARAMETER_VALIDATIONSCRIPT = "class_validationscript";

    void beginWikiClass(
        @Default(FilterEventParameters.DEFAULT) @Name(FilterEventParameters.NAME) FilterEventParameters parameters)
        throws WikiStreamException;

    void endWikiClass(
        @Default(FilterEventParameters.DEFAULT) @Name(FilterEventParameters.NAME) FilterEventParameters parameters)
        throws WikiStreamException;
}
